Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Thu, 31 Mar 2022 19:14:23 +0530

[வியாழன் மார்ச் 31, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 31 Mar 2022 14:59:47 +0530
>> 
>> > Also, what version of HarfBuzz do you have there?  Can you try
>> > upgrading to a newer version?
>> 
>> Emacs is linked against HarfBuzz 3.0.0.  I will see if I can update it,
>> and report back in the evening.  (P.S., maybe we should look into
>> including this info in the text that M-x report-emacs-bug prepares?)
>
> HarfBuzz is remarkably compatible, and its version until now was never
> important.  I asked about that because it is the source of the
> composition data which seems to be incorrect in the wrong display
> cases.  I'm not yet sure it's a HarfBuzz problem.
>

I compiled an Emacs that is linked against HarfBuzz 3.3.2, and it shows
the same problem.

>> [ I will also check if I can reproduce this in emacs -Q but with 
>>   M-: (set-fontset-font t 'tamil "Kurinto Seri") RET.  ]

I managed to reproduce this in an emacs -Q session with that evaled but
it took me some time [*].  For each buffer that has Tamil text, I have
to zoom in (or none in the case of eww's header-line) different amounts
to see the clipping issue:

    · In init.el, I have to zoom in 7x times
    · In eww, I have to zoom in 1x time
    · In dired, I have to zoom in ~15x times

In the problematic emacs -Q session, current-iso639-language is 'en'.

[*] As in, it literally took me half an hour to observe the issue, and I
    cannot seem to figure out a quick way to reproduce it.

>
> Thanks.
>
> One more question: what is the value of current-iso639-language, and
> is it different between the "bad" and the "good" cases?